ChangeSet 1.1500.11.9, 2004/02/02 11:50:52-08:00, eike-hotplug@sf-tec.de

[PATCH] PCI Hotplug: Kill useless instructions from ibmphp_core.c

This kills the explicit setting of rc to -ENODEV in 2 places where it is
not necessary because it will have this value on this path anyway.


 drivers/pci/hotplug/ibmphp_core.c |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)


diff -Nru a/drivers/pci/hotplug/ibmphp_core.c b/drivers/pci/hotplug/ibmphp_core.c
--- a/drivers/pci/hotplug/ibmphp_core.c	Mon Feb  9 14:59:13 2004
+++ b/drivers/pci/hotplug/ibmphp_core.c	Mon Feb  9 14:59:13 2004
@@ -418,8 +418,7 @@
 				rc = -ENODEV;
 			}
 		}
-	} else
-		rc = -ENODEV;
+	}
 
 	ibmphp_unlock_operations ();
 	debug ("%s - Exit rc[%d] value[%x]\n", __FUNCTION__, rc, *value);
@@ -465,8 +464,7 @@
 				}
 			}
 		}
-	} else
-		rc = -ENODEV;
+	}
 
 	ibmphp_unlock_operations ();
 	debug ("%s - Exit rc[%d] value[%x]\n", __FUNCTION__, rc, *value);
